Use the Pipeline REST API to run the brand ingestion and enrichment processes:

  • Brand ingestion analyzes documents uploaded to your brand kit using the Documents REST API. The system analyzes each document page by page, extracts brand information, and breaks it down into smaller pieces called knowledge chunks. These chunks are then organized, vectorized, and stored as your brand knowledge.

  • Enrichment uses existing brand knowledge to automatically populate or update content in brand kit sections and subsections. You don’t need to reingest brand documents to enrich content.

This REST API lets you interact with:

  • The pipeline object. A pipeline is a structured process that performs a series of tasks automatically. In this context, pipelines are used to run the brand ingestion and enrichment processes.

The resulting brand knowledge and enriched content are made available to Sitecore copilots and other AI agents enabling them to generate consistent, brand-aligned output.

Note the following:

  • To use this REST API, you must authenticate your API requests.

  • All API requests are made in your production environment.

For more information, see the official Sitecore documentation.

Authorization

The Pipeline REST API uses the OAuth 2.0 standard with JSON web tokens to authorize REST API requests.

Create Client ID and Client Secret

  1. In the Sitecore Cloud Portal, open Stream.
  2. Click Admin > AI APIs keys > Create credential.
  3. In the ​Create New Client​​ dialog, enter a name and description for the client. Then click Create. The ​Client ID and Client Secret​​ display.
  4. Copy the Client ID and Client Secret because you won't be able to view them again in Stream. You'll use them to request an access token.

Request an access token

Run the following cURL command to request an access token. Replace the placeholder values with your Client ID and Client Secret.

  curl -X POST 'https://auth.sitecorecloud.io/oauth/token' \
  --header 'Content-Type: application/x-www-form-urlencoded' \
  --data-urlencode 'client_id={YOUR_API_KEY}' \
  --data-urlencode 'client_secret={YOUR_API_SECRET}' \
  --data-urlencode 'grant_type=client_credentials' \
  --data-urlencode 'audience=https://api.sitecorecloud.io'

In the response, the access_token key contains the access token:

  {
    "access_token": "{YOUR_ACCESS_TOKEN}",
    "scope": "ai.org.brd:w ai.org.brd:r ai.org.docs:w ai.org.docs:r ai.org:admin",
    "expires_in": 86400,
    "token_type": "Bearer"
  }

Access tokens expire in 24 hours. If your requests unexpectedly return a response with status 401 Unauthorized, request a new access token by repeating this POST request.

We recommend that you cache the access token for 24 hours to avoid repeating this POST request while the access token is still valid.

Include the access token in the request header

You can now start making REST API requests. You must include the access token in the request header of every request. For example:

curl -X GET '{YOUR_BASE_URL}/v2/...' \
-H 'Authorization: Bearer {YOUR_ACCESS_TOKEN}' \
-H 'Accept: application/json'
Download OpenAPI description
Overview
License
Closed source
Languages
Servers
Production server
https://edge-platform.sitecorecloud.io/stream/ai-pipeline-api
Production server
https://edge-platform.sitecorecloud.io/ai/ai-pipeline-api